Name: zhcon
Summary: A Fast Console CJK System Using FrameBuffer
Version: 0.2.6
Release: 5%{?dist}
Group: Applications/System
License: GPL
URL: http://www.sourceforge.net/projects/%{name}/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-0.2.5.tar.gz
Patch0: http://downloads.sourceforge.net/%{name}/%{name}-0.2.5-to-0.2.6.diff.gz
Patch1: zhcon-0.2.6-path.patch
Patch2: zhcon-0.2.6-path-define.patch
Patch3: zhcon-0.2.6-flags.patch
Patch4: zhcon-0.2.6-64bit-fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Buildrequires: autoconf automake
Buildrequires: gettext-devel ncurses-devel gpm-devel

%description
Zhcon is a fast Linux Console Chinese System which supports
framebuffer device.It can display Chinese, Japanese or Korean
double byte characters.Supported language encodings include:
GB2312, GBK, BIG5, JIS and KSC.

%description -l zh_CN
zhcon是一个工作在Linux控制台下的多内码中文平台。
它能够控制台上显示简体中文、繁体中文、日文、韩文
等双字节字符。支持多种输入法。

%prep
%setup -q -n zhcon-0.2.5
%patch0 -p1 -b .0.26
%patch1 -p1 -b .instpath
%patch2 -p1 -b .path_define
%patch3 -p1 -b .flags
%patch4 -p1 -b .64bit_fix
iconv -f GB2312 -t UTF-8 ChangeLog -o ChangeLog.utf && mv -f ChangeLog.utf ChangeLog
( cd doc; tar -zxf html.tar.gz; chmod 755 manual)

%build
# exit if bootstrap fails
# missing config.rpath causes automake failure
sed -i -e 's|set -x|set -e -x|' bootstrap
touch config.rpath

./bootstrap
%configure
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -c -p" install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README README.utf8 THANKS TODO doc/bpsf.txt doc/README.html
%lang(zh_CN) %doc doc/manual* doc/poem.gb doc/poem.gb.utf8
%lang(zh_TW) %doc doc/poem.big5
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(4755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Thu Mar 29 2007 Hu Zheng <zhu@redhat.com> - 0.2.6-5
- Fix x86_64 compile error.

* Tue Feb 27 2007 Hu Zheng <zhu@redhat.com> - 0.2.6-3
- Update for review.

* Thu Feb 15 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.6-2.1
- Add source URL
- Check if bootstrap exited with success
- Change the directory of %%{name}.conf
- Move all files in %%{_libdir} to %%{_datadir} (no libraries is
  found)
- Add BR gpm-devel
- Pass optflags correctly
- Keep timestamps

* Thu Feb 15 2007 Hu Zheng <zhu@redhat.com> - 0.2.6-2
- Fix spec file.

* Mon Feb 12 2007 Hu Zheng <zhu@redhat.com> - 0.2.6-1
- Initial build for Fedora Extra

